%define upstream_name Clownfish
%define upstream_version 0.5.1

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2

Summary:	Apache Clownfish symbiotic object system
License:	ASL 2.0
Group:		Development/Perl
Url:		http://metacpan.org/release/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Clownfish/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:	perl(Clownfish::CFC::Perl::Build) >= 0.5.1

%description
Apache Clownfish symbiotic object system.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc LICENSE META.json META.yml MYMETA.yml README.md
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.5.1-2.mga6
+ Revision: 1024263
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 0.5.1-1.mga6
+ Revision: 1007929
- New version 0.5.1

* Fri Feb 12 2016 umeabot <umeabot> 0.4.2-3.mga6
+ Revision: 956889
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.4.2-2.mga6
+ Revision: 842723
- Rebuild for perl 5.22

* Sun Jun 21 2015 sander85 <sander85> 0.4.2-1.mga6
+ Revision: 838383
- update to 0.4.2

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-3.mga5
+ Revision: 745087
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-2.mga5
+ Revision: 683956
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 sander85 <sander85> 0.4.0-1.mga5
+ Revision: 671960
- imported package perl-Clownfish

